## org.omg.PortableServer
Class _AdapterActivatorStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.PortableServer._AdapterActivatorStub

All Implemented Interfaces:
  AdapterActivator, AdapterActivatorOperations, IDLEntity, Object, java.io.Serializable

public class _AdapterActivatorStub
extends ObjectImpl
implements AdapterActivator

Interface definition : AdapterActivator

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Constructor Summary
`_AdapterActivatorStub()`

Method Summary
`java.lang.String[]` `_ids()`
`boolean` `unknown_adapter(POA parent, java.lang.String name)` Operation unknown_adapter

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _AdapterActivatorStub

    public _AdapterActivatorStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### unknown_adapter

    public boolean unknown_adapter(POA parent,
                                   java.lang.String name)

  Operation unknown_adapter
  Specified by:
    `unknown_adapter` in interface `AdapterActivatorOperations`